<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Gallium Theme
| Filename: theme.php
| Author: Fangree Productions
| Version: v1.00
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
require_once INCLUDES."theme_functions_include.php";

//Theme Settings
define("THEME_WIDTH", "95%");
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' style='vertical-align:middle;' alt='' border='0' />");

function render_page($license=false) {

global $settings, $main_style;

add_to_head("<link href='http://fonts.googleapis.com/css?family=Orbitron:regular,bold' rel='stylesheet' type='text/css'>");
echo "<div class='outer-border $main_style' style='background-color:#fff;width:".THEME_WIDTH.";'>\n";

echo "<div class='floatfix'>\n";

//Header
echo "<div class='full-header floatfix' style='vertical-align:middle;' >";

echo"<div style='padding-top: 10px; padding-left: 10px;'>".showbanners()."";

echo"</div>";

echo"</div>\n";

//Sub Header
echo "<div class='sub-header floatfix'>\n";

echo "<div style='float:center;'>".showsublinks(" <span class='bullet'></span> ","white")."";

echo"</div>\n";

echo "</div></div>\n";

//Content
if (LEFT) { echo "<div id='side-border-left'>".LEFT."</div>\n"; }

if (RIGHT) { echo "<div id='side-border-right'>".RIGHT."</div>\n"; }

echo "<div id='main-bg' class='clearfix'><div id='container'>".U_CENTER.CONTENT.L_CENTER."</div></div>\n";

//Footer
echo "<div class='footer clear' style='text-align:right;'><div class='footer-content'>\n";

echo"<span style='float:left; padding-left:12px;'><a href='http://www.phpfusionmods.co.uk/' title='Gallium Theme By PHP-Fusion Mods UK' title='Gallium Theme by PHP-Fusion Mods UK'/>Gallium Theme by PHP-Fusion Mods UK</a></span>";

echo"".stripslashes($settings['footer'])."<br />";

if ($license == false) { echo showcopyright()."<br />\n"; } 

echo showcounter()."\n";

add_to_head("<meta name='Theme-Copyright' content='Gallium Theme - Fangree Productions - fangree.co.uk' />");

echo"</div></div>\n";

echo"</div>\n";
}

//News
function render_news($subject, $news, $info) {

echo "<div class='capmain'>$subject</div>\n";

echo "<div class='main-content-body floatfix'>".$news."</div>\n";

echo "<div class='news-footer'>\n";

echo newsposter($info,"&middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);

echo "</div><br />\n";

}
//Articles
function render_article($subject, $article, $info) {

echo "<div class='capmain'>$subject</div>\n";

echo "<div class='main-content-body floatfix'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";

echo "<div class='news-footer'>\n";

echo articleposter($info,"&middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);

echo "</div><br />\n";

}

//Open Table
function opentable($title) {

echo "<div class='capmain'>$title</div>\n";

echo "<div class='main-body floatfix'>\n";

}

function closetable() {

echo "</div><br />\n";

}

//Side Panels
function openside($title, $collapse = false, $state = "on") {

global $panel_collapse; $panel_collapse = $collapse;

echo "<div class='border'>\n";

echo "<div class='scapmain'>";

if ($collapse == true) {

$boxname = str_replace(" ", "", $title);

echo "<div style='float:right;'>".panelbutton($state,$boxname)."</div>";

}

echo $title."</div>\n<div class='side-body floatfix'>\n";

if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside($collapse = false) {

global $panel_collapse;

if ($panel_collapse == true) { echo "</div>\n"; }

echo "</div>\n</div><br />\n";

}
?>
